{{
GBP_AUDIO_T6

Testprogram 6 for Gam_Bo_Prop

Testing the L- and R-Audio-Output

'Gam_Bo_Prop' is the short name of 'game board propeller'
'Gambo' is also the name given to an unidentified large marine animal

based upon 'E555 SPKEngine Demo'

modified 2011 GKR


///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// E555 SPKEngine Demo
//
// Author: Kwabena W. Agyeman
// Updated: 7/27/2010
// Designed For: P8X32A
// Version: 1.0
//
// Copyright (c) 2010 Kwabena W. Agyeman
// See end of file for terms of use.
//
// Update History:
//
// v1.0 - Original release - 7/27/2010.
//
// Run the program with the specified driver hardware.
//
// Nyamekye,
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
}}

CON

  _clkmode = xtal1 + pll8x
  _xinfreq = 10_000_000

  _speakerPinR = 4
  _speakerPinL = 5
  _speakerVolume = 5
  _speakerMaxFrequency = 1_200
  _speakerMinFrequency = 200

OBJ

  spk: "E555_SPKEngine.spin"

PUB demo

repeat

  'Audio-Output right

  spk.speakerVolume(_speakerVolume, _speakerPinR)

    repeat result from _speakerMinFrequency to _speakerMaxFrequency step 100
      spk.speakerFrequency(result, _speakerPinR)
      waitcnt((clkfreq >> 1) + cnt)

    repeat result from _speakerMaxFrequency to _speakerMinFrequency step 100
      spk.speakerFrequency(result, _speakerPinR)
      waitcnt((clkfreq >> 1) + cnt)

  'Audio-Output left

  spk.speakerVolume(_speakerVolume, _speakerPinL)

    repeat result from _speakerMinFrequency to _speakerMaxFrequency step 100
      spk.speakerFrequency(result, _speakerPinL)
      waitcnt((clkfreq >> 1) + cnt)

    repeat result from _speakerMaxFrequency to _speakerMinFrequency step 100
      spk.speakerFrequency(result, _speakerPinL)
      waitcnt((clkfreq >> 1) + cnt)

{{

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                                  TERMS OF USE: MIT License
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,
// modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the
// Software is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
// Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
// COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
// ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
}}
