{
GBP_LCD_T3

Testprogram 3 for Gam_Bo_Prop

Color-Test of the LCD-display

'Gam_Bo_Prop' is the short name of 'game board propeller
'Gambo' is also the name given to an unidentified large marine animal

(C) 2011 GKR

}

CON
  _clkmode = xtal1+pll8x
  _xinfreq = 10_000_000

  LCD_WIDTH  = 320
  LCD_HEIGHT = 240

VAR
  long color

OBJ
  lcd   : "GBP_MIO283QT2.spin"
  led   : "GBP_BGLED.spin"

PUB Main
  led.start(90) 'LCD backlight 50%
  if init <> -1
    repeat
      lcd.fill($1F1F1F)
      delay_ms (500)
      lcd.fill($1F0000)
      delay_ms (500)
      lcd.fill($001F00)
      delay_ms (500)
      lcd.fill($00001F)
      delay_ms (500)
      lcd.fill($000000)
      delay_ms (500)
      lcd.fill($1F1F00)
      delay_ms (500)
      lcd.fill($001F1F)
      delay_ms (500)
      lcd.fill($151515)
      delay_ms (500)
      lcd.fill($1F001F)
      delay_ms (500)
      lcd.fill($001800)
      delay_ms (500)
      lcd.fill($000000)
      delay_ms (500)
      lcd.drawrect(10, 10, 10, 10, $1F0000)
      lcd.drawrect(15, 15, 10, 10, $1F0000)
      lcd.drawrect(120, 130, 10, 20, $1F0000)
      lcd.drawrect(25, 10, 10, 20, $1F0000)
      lcd.drawrect(130, 50, 10, 30, $1F0000)
      lcd.drawrect(35, 10, 10, 30, $1F0000)
      lcd.drawrect(140, 10, 10, 40, $1F0000)
      lcd.drawrect(45, 10, 10, 40, $1F0000)
      lcd.drawrect(250, 10, 10, 50, $1F0000)
      lcd.drawrect(255, 110, 10, 50, $1F1F1F)
      lcd.drawrect(260, 140, 10, 60, $1F0000)
      lcd.drawrect(180, 210, 10, 60, $001F00)
      lcd.drawrect(290, 90, 10, 60, $001F00)
      lcd.drawrect(100, 120, 10, 20, $001F00)
      lcd.drawrect(310, 180, 10, 20, $001F00)
      lcd.drawrect(120, 210, 10, 20, $001F00)
      delay_ms (500)
      lcd.clear
      color := %1110000011100000000
      repeat 18
        color := color>>1
        lcd.fill(color)
        delay_ms (300)

PUB delay_ms(time)
  waitcnt(80000*time + cnt)

PRI init
  lcd.start(21,19,20,22)
  lcd.fill(0)

{
                          TERMS OF USE: MIT License                                                  |

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation  the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:                                                                   |
                                                                                                                              |
The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.
                                                                                                                              |
|THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
}
